package edu.georgetown.gucs.tokenizers;

import edu.georgetown.gucs.utility.Global;
import edu.georgetown.gucs.utility.Token;

import java.util.Collections;
import java.util.List;
import java.util.Vector;

/**
 * @author Evan B.
 * @since 11/6/14.
 */
public class SdHashTokenizer extends Tokenizer {
    /**
     * Eliminates tokens that are numbers
     */
    @Override
    public List<Token> tokenize(List<Token> tokens) {
        List<Token> tokenVector = Collections.synchronizedList(new Vector<>());
        synchronized (tokenVector) {
            for (Token token : tokens) {

                String stripped = token.toString()
                        .toLowerCase()
                        .replaceAll("\\W", "");

              //  System.out.println("PrintingFromSdhashTokenizer");

                tokenVector.add(new Token(stripped));
            }
            return tokenVector;
        }
    }
}
