package edu.georgetown.gucs.utility;

import java.io.Serializable;
import java.text.Collator;
import java.util.Comparator;
import java.util.Locale;


/**
 * Comparator that orders tokens by name alphabetically ignoring case
 * 
 * @author Lindsay Neubauer
 **/
public class IgnoreCaseComparator implements Comparator<Token>, Serializable {
  private static final long serialVersionUID = 5081186068508241364L;

  /**
   * Default constructor
   */
  public IgnoreCaseComparator() {
  }

  @Override
  public int compare(Token one, Token two) {
    return Collator.getInstance().compare(one.name().toLowerCase(Locale.getDefault()),
        two.name().toLowerCase(Locale.getDefault()));
  }
}