package sdtext;

import java.util.Vector;

import javax.swing.table.DefaultTableModel;

/**
 * TableModel that allows selecting rows and columns without allowing editing of data
 * 
 * @author Lindsay Neubauer
 * 
 */
class SelectableTableModel extends DefaultTableModel {

  private static final long serialVersionUID = -7200749746194482679L;

  /**
   * Constructs a DefaultTableModel and initializes the table by passing data and columnNames to the setDataVector
   * method
   * 
   * @param data
   *          the data of the table, a Vector of Vectors of Object values
   * @param columnNames
   *          vector containing the names of the new columns
   */
  SelectableTableModel(Vector<?> data, Vector<?> columnNames) {
    super(data, columnNames);
  }

  /**
   * Returns false regardless of parameter values
   * 
   * @param row
   *          the row whose value is to be queried
   * @param column
   *          the column whose value is to be queried
   */
  @Override
  public boolean isCellEditable(int row, int column) {
    return false;
  }
}